Package org.apache.sysds.runtime.io

# Class MatrixWriterFactory

java.lang.Object
org.apache.sysds.runtime.io.MatrixWriterFactory

public class MatrixWriterFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`MatrixWriterFactory()`

## Method Summary

Modifier and Type
Method
Description
`static MatrixWriter`
`createMatrixWriter(Types.FileFormat fmt)`
`static MatrixWriter`
`createMatrixWriter(Types.FileFormat fmt, int replication, FileFormatProperties props)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatrixWriterFactory

public MatrixWriterFactory()

## Method Details

### createMatrixWriter

public static MatrixWriter createMatrixWriter(Types.FileFormat fmt)

### createMatrixWriter

public static MatrixWriter createMatrixWriter(Types.FileFormat fmt, int replication, FileFormatProperties props)